<template>
  <div class="relative w-full h-full py-40 min-h-screen">
    <div
      class="absolute top-0 w-full h-full py-40 min-h-screen bg-blueGray-800"
      :style="{ backgroundImage: `url(${backgroundLogin})` }"
    ></div>
    <div class="container mx-auto h-full">
      <div class="flex justify-center items-center h-full">
        <div class="w-full lg:w-6/12 px-4">
          <div
            class="relative flex flex-col min-w-0 break-words w-full mb-6 shadow-lg rounded-2xl bg-blueGray-200"
          >
            <div class="rounded-t mb-0 px-6 py-6 relative">
              <div class="absolute">
                <button class="text-blueGray-500 hover:text-blueGray-800 transition duration-150 ease-linear" @click="$router.go(-1)">
                    <font-awesome-icon icon="fa-solid fa-arrow-left" class="mr-2"/>
                    Black
                </button>
              </div>
              <div class="text-center mb-3">
                <h6 class="text-blueGray-500 text-sm font-bold">
                  Sign in with
                </h6>
              </div>
              <div class="btn-wrapper text-center">
                <button
                  class="bg-white active:bg-gray-100 text-blueGray-700 px-4 py-2 rounded outline-none focus:outline-none mr-2 mb-1 uppercase shadow hover:shadow-md inline-flex items-center font-bold text-xs ease-linear transition-all duration-150"
                >
                  <img src="@/assets/svg/github.svg" alt="" class="w-5 mr-1" />
                  Github
                </button>
                <button
                  class="bg-white active:bg-gray-100 text-blueGray-700 px-4 py-2 rounded outline-none focus:outline-none mr-1 mb-1 uppercase shadow hover:shadow-md inline-flex items-center font-bold text-xs ease-linear transition-all duration-150"
                >
                  <img src="@/assets/svg/google.svg" alt="" class="w-5 mr-1" />
                  Google
                </button>
              </div>
              <hr class="mt-6 border-b-1 border-gray-300" />
            </div>
            <div class="flex-auto px-4 lg:px-10 py-10 pt-0">
              <div class="text-blueGray-700 text-center mb-3 font-bold">
                <span>Or sign in with credentials</span>
              </div>
              <form>
                <div class="relative w-full mb-3">
                  <label
                    class="block uppercase text-blueGray-700 text-xs font-bold mb-2"
                    for="grid-password"
                  >
                    Email </label
                  ><input
                    type="email"
                    class="border-0 px-3 py-3 text-blueGray-600 bg-white rounded text-sm shadow focus:outline-none focus:ring w-full ease-linear transition-all duration-150"
                    placeholder="Email"
                  />
                  <span></span>
                </div>
                <div class="relative w-full mb-3">
                  <label
                    class="block uppercase text-blueGray-700 text-xs font-bold mb-2"
                    for="grid-password"
                  >
                    Password </label
                  ><input
                    type="password"
                    class="border-0 px-3 py-3 text-blueGray-700 bg-white rounded text-sm shadow focus:outline-none focus:ring w-full ease-linear transition-all duration-150"
                    placeholder="Password"
                  />
                  <span></span>
                </div>
                <div>
                  <label class="inline-flex items-center cursor-pointer"
                    ><input
                      id="customCheckLogin"
                      type="checkbox"
                      class="form-checkbox border-0 rounded text-blueGray-700 ml-1 w-5 h-5 ease-linear outline-none focus:ring transition-all duration-150"
                    /><span
                      class="ml-2 text-sm font-semibold text-blueGray-700"
                    >
                      Remember me
                    </span></label
                  >
                </div>
                <div class="text-center mt-6">
                  <button
                    class="bg-blueGray-800 text-white active:bg-blueGray-600 text-sm font-bold uppercase px-6 py-3 rounded shadow hover:shadow-lg outline-none focus:outline-none hover:bg-primary-400 hover:text-white mr-1 mb-1 w-full ease-linear transition-all duration-150"
                    type="button"
                  >
                    Sign In
                  </button>
                </div>
              </form>
            </div>
          </div>
          <div class="flex flex-wrap mt-6 relative">
            <div class="w-1/2">
              <a href="javascript:void(0)" class="text-blueGray-200"
                ><small>Forgot password?</small></a
              >
            </div>
            <div class="w-1/2 text-right">
              <nuxt-link to="/register" class="text-blueGray-200"
                ><small>Create new account</small></nuxt-link
              >
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
import backgroundLogin from '@/assets/img/bg/bg-login.png'
export default {
  layout: 'layoutLogin',
  data() {
    return {
      backgroundLogin,
    }
  },
}
</script>
